Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Alan Third <[email-masked]>
Date: Fri, 8 Nov 2019 23:06:26 +0000

On Fri, Nov 08, 2019 at 10:11:13PM +0100, Lars Ingebrigtsen wrote:
> Alan Third <[email-masked]> writes:
> 
> > OK, that makes sense. Check out the comment and code at line 2593 of
> > image.c:
> >
> >     /* FIXME: Do we need to handle all possible bit depths?
> >        XRenderFindStandardFormat supports PictStandardARGB32,
> >        PictStandardRGB24, PictStandardA8, PictStandardA4,
> >        PictStandardA1, and PictStandardNUM (what is this?!).
> >
> >        XRenderFindFormat may support more, but I don't
> >        understand the documentation.  */
> >     format = XRenderFindStandardFormat (display,
> >                                         depth == 32 ? PictStandardARGB32
> >                                         : depth == 24 ? PictStandardRGB24
> >                                         : PictStandardA8);
> >     *picture = XRenderCreatePicture (display, *pixmap, format, 0, &attr);
> 
> But isn't that about the depth of the screen, not the number of bits in
> the image?

Ah, yes, you’re right. Most of the time. Masks use it set to 1.

-- 
Alan Third